Skip to content

@BobPalmer BobPalmer released this Aug 12, 2019

1.2.0 - 2019.08.04

KSP 1.7.x Compatibility

Assets 3

@BobPalmer BobPalmer released this Feb 5, 2019 · 4 commits to master since this release

1.1.0 - 2019.02.05

KSP 1.6.x Compatibility

Assets 3

@BobPalmer BobPalmer released this Mar 20, 2018 · 21 commits to master since this release

0.12.0 - 2018.03.13

KSP 1.4.1 Compatibility
Fixed duplicate configs, balance on the LiquidFuel engines (Thanks AccidentalDisassembly!)

Assets 3

@BobPalmer BobPalmer released this Mar 7, 2018 · 30 commits to master since this release

0.11.0 - 2018.03.07

KSP 1.4.0 Compatibility

Assets 3

@BobPalmer BobPalmer released this Mar 7, 2018 · 34 commits to master since this release

0.10.1 - 2017.03.06

Depencency Updates

Assets 3

@BobPalmer BobPalmer released this Oct 8, 2017 · 34 commits to master since this release

0.10.0 - 2017.10.09

KSP 1.3.1
Corrected torch drive description text as they now require water, not ore.
Torch drives can now operate under warp (not just physwarp!)
Fixed CTT node for jet engines
Corrected nodes and names for the Karbelectric Generators

Assets 3

@BobPalmer BobPalmer released this Aug 16, 2017 · 42 commits to master since this release

0.9.2 - 2017.08.15

Dependency Updates
Removed duplicate cfg files for the turbofans and fwd propfans. Also renamed the 750 to a propfan, since it's not a turboprop. (Thanks Voicey99!)

Assets 3

@BobPalmer BobPalmer released this May 28, 2017 · 46 commits to master since this release

0.9.1 - KSP 1.3

KSP 1.3 Compatibility
Corrected bad node in the 5m torch drive (Thanks toric55!)
Stat overhaul on all air breathing engines (thanks JadeOfMaar!)

Assets 3

@BobPalmer BobPalmer released this May 26, 2017 · 48 commits to master since this release

0.9.0 - KSP 1.3

KSP 1.3 Compatibility
Corrected bad node in the 5m torch drive (Thanks toric55!)
Stat overhaul on all air breathing engines (thanks JadeOfMaar!)

Assets 2

@BobPalmer BobPalmer released this Mar 17, 2017 · 62 commits to master since this release

0.8.8 - 2017.03.17

Dependency Updates

Assets 3
You can’t perform that action at this time.